#include <bits/stdc++.h>

using namespace std;

int n,A[30];
string s;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cin >> n >> s;
    A[0] = 1;
    for(int i=0; i<n; i++)
    {
        A[(s[i]-'A')+1] += A[(s[i]-'A')];
        A[(s[i]-'A')+1] %= 1000000007;
    }
    cout << A[26];
    return 0;
}